Skip to main content

HTTP API reference › GalaSwap DEX › competition

GalaSwap DEX — competition

8 operations in this group.

GET /competition/active​

CompetitionController_getActiveCompetition

GET /competition/active

GET /competition/active

Responses​

200 —​

Content type: application/json

Schema: oneOf: CompetitionResponse | object nullable enum:

FieldTypeRequiredDescription
idnumberyes
namestringyes
descriptionstring nullableyes
poolHashesarray<string>yes
startTimestringyes
endTimestringyes
statusstring enum: PENDING, ACTIVE, COMPLETED, CANCELLEDyes
keyThresholdUsdnumberyes
grandPrizeConfigobject nullable CompetitionGrandPrizeResponseDtoyes
termsUrlstring nullableyes
bannerImageUrlstring nullableyes
isActivebooleanyes
timeRemainingnumber nullableyes
totalParticipantsnumberyes
totalVolumenumberyes
chestTierConfigarray<CompetitionChestTierResponseDto> nullableyes
*free-form objectnoAdditional properties allowed

default — An error response using the shared backend error envelope.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
statusintegeryes
errorbooleanyes
messagestringyes
errorKeystringno

Example response​

[]

GET /competition/&#123;id&#125;​

CompetitionController_getCompetition

GET /competition/{id}

GET /competition/{id}

Parameters​

NameInRequiredTypeDescription
idpathrequirednumber

Responses​

200 —​

Content type: application/json

Schema: CompetitionResponse

FieldTypeRequiredDescription
idnumberyes
namestringyes
descriptionstring nullableyes
poolHashesarray<string>yes
startTimestringyes
endTimestringyes
statusstring enum: PENDING, ACTIVE, COMPLETED, CANCELLEDyes
keyThresholdUsdnumberyes
grandPrizeConfigobject nullable CompetitionGrandPrizeResponseDtoyes
termsUrlstring nullableyes
bannerImageUrlstring nullableyes
isActivebooleanyes
timeRemainingnumber nullableyes
totalParticipantsnumberyes
totalVolumenumberyes
chestTierConfigarray<CompetitionChestTierResponseDto> nullableyes

404 —​

Content type: application/json

Schema: CompetitionErrorResponseDto

FieldTypeRequiredDescription
statusCodenumberyes
messageoneOf: string | array<string>yes
errorstringno

default — An error response using the shared backend error envelope.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
statusintegeryes
errorbooleanyes
messagestringyes
errorKeystringno

Example response​

[]

GET /competition/&#123;id&#125;/stats​

CompetitionController_getCompetitionStats

GET /competition/{id}/stats

GET /competition/{id}/stats

Parameters​

NameInRequiredTypeDescription
idpathrequirednumber

Responses​

200 —​

Content type: application/json

Schema: CompetitionStatsResponse

FieldTypeRequiredDescription
competitionIdnumberyes
totalParticipantsnumberyes
totalVolumenumberyes
totalKeysAwardednumberyes
totalChestsOpenedobjectyes
grandPrizeEntriesnumberyes

default — An error response using the shared backend error envelope.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
statusintegeryes
errorbooleanyes
messagestringyes
errorKeystringno

Example response​

[]

GET /competition/&#123;id&#125;/participant/&#123;wallet&#125;​

CompetitionController_getParticipant

GET /competition/{id}/participant/{wallet}

GET /competition/{id}/participant/{wallet}

Parameters​

NameInRequiredTypeDescription
idpathrequirednumber
walletpathrequiredstring

Responses​

200 —​

Content type: application/json

Schema: oneOf: ParticipantResponse | object nullable enum:

FieldTypeRequiredDescription
idnumberyes
competitionIdnumberyes
walletAddressstringyes
totalVolumeUsdnumberyes
keysEarnednumberyes
keysSpentnumberyes
grandPrizeEntrybooleanyes
enrolledAtstringyes
ranknumber nullableyes
availableKeysKeyInventoryyes
chestOpensarray<ChestOpenResponse>yes
*free-form objectnoAdditional properties allowed

default — An error response using the shared backend error envelope.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
statusintegeryes
errorbooleanyes
messagestringyes
errorKeystringno

Example response​

[]

GET /competition/&#123;id&#125;/leaderboard​

CompetitionController_getLeaderboard

GET /competition/{id}/leaderboard

GET /competition/{id}/leaderboard

Parameters​

NameInRequiredTypeDescription
idpathrequirednumber
walletqueryoptionalstring

Responses​

200 —​

Content type: application/json

Schema: CompetitionLeaderboardResponseDto

FieldTypeRequiredDescription
entriesarray<LeaderboardEntry>yes
totalParticipantsnumberyes
totalVolumenumberyes
userPositionLeaderboardEntryno

default — An error response using the shared backend error envelope.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
statusintegeryes
errorbooleanyes
messagestringyes
errorKeystringno

Example response​

[]

GET /competition/&#123;id&#125;/inventory/&#123;wallet&#125;​

CompetitionController_getInventory

GET /competition/{id}/inventory/{wallet}

GET /competition/{id}/inventory/{wallet}

Parameters​

NameInRequiredTypeDescription
idpathrequirednumber
walletpathrequiredstring

Responses​

200 —​

Content type: application/json

Schema: oneOf: CompetitionNotEnrolledInventoryResponseDto | CompetitionEnrolledInventoryResponseDto

FieldTypeRequiredDescription
enrolledboolean enum: falseyes
keysKeyInventoryyes
grandPrizeEntryboolean enum: falseyes
enrolledboolean enum: trueyes
keysKeyInventoryyes
grandPrizeEntrybooleanyes
totalVolumenumberyes
ranknumber nullableyes

400 —​

Content type: application/json

Schema: CompetitionErrorResponseDto

FieldTypeRequiredDescription
statusCodenumberyes
messageoneOf: string | array<string>yes
errorstringno

default — An error response using the shared backend error envelope.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
statusintegeryes
errorbooleanyes
messagestringyes
errorKeystringno

Example response​

[]

POST /competition/&#123;id&#125;/enroll​

CompetitionController_enroll

POST /competition/{id}/enroll

POST /competition/{id}/enroll

Parameters​

NameInRequiredTypeDescription
idpathrequirednumber

Request body​

Required: yes

application/json​

Schema: EnrollDto

FieldTypeRequiredDescription
walletAddressstringyes

Responses​

200 —​

Content type: application/json

Schema: ParticipantResponse

FieldTypeRequiredDescription
idnumberyes
competitionIdnumberyes
walletAddressstringyes
totalVolumeUsdnumberyes
keysEarnednumberyes
keysSpentnumberyes
grandPrizeEntrybooleanyes
enrolledAtstringyes
ranknumber nullableyes
availableKeysKeyInventoryyes
chestOpensarray<ChestOpenResponse>yes

400 —​

Content type: application/json

Schema: CompetitionErrorResponseDto

FieldTypeRequiredDescription
statusCodenumberyes
messageoneOf: string | array<string>yes
errorstringno

404 —​

Content type: application/json

Schema: CompetitionErrorResponseDto

FieldTypeRequiredDescription
statusCodenumberyes
messageoneOf: string | array<string>yes
errorstringno

default — An error response using the shared backend error envelope.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
statusintegeryes
errorbooleanyes
messagestringyes
errorKeystringno

Example request​

[]

Example response​

[]

POST /competition/&#123;id&#125;/open-chest​

CompetitionController_openChest

POST /competition/{id}/open-chest

POST /competition/{id}/open-chest

Parameters​

NameInRequiredTypeDescription
idpathrequirednumber

Request body​

Required: yes

application/json​

Schema: OpenChestDto

FieldTypeRequiredDescription
walletAddressstringyes
tierNumbernumberyes

Responses​

200 —​

Content type: application/json

Schema: OpenChestResponse

FieldTypeRequiredDescription
successbooleanyes
chestOpenIdnumberyes
tierNumbernumberyes
tierNamestringyes
keysUsednumberyes
rewardPacksarray<CompetitionRewardPackResponseDto>yes
messagestringyes

400 —​

Content type: application/json

Schema: CompetitionErrorResponseDto

FieldTypeRequiredDescription
statusCodenumberyes
messageoneOf: string | array<string>yes
errorstringno

404 —​

Content type: application/json

Schema: CompetitionErrorResponseDto

FieldTypeRequiredDescription
statusCodenumberyes
messageoneOf: string | array<string>yes
errorstringno

default — An error response using the shared backend error envelope.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
statusintegeryes
errorbooleanyes
messagestringyes
errorKeystringno

Example request​

[]

Example response​

[]

Previous group: incentive · Next group: WalletExtensionCompat